Installing Mumble

From Mumble Wiki
Jump to: navigation, search

This page shows you directions on how to install and use Mumble (client) and Murmur (server). For complete usage information, see Mumbleguide, Murmurguide, and/or the respective subsections on the main page.

Getting and Installing Mumble and Murmur

Windows

Just head to SourceForge downloads page, get the Windows executable and run it. Follow the installer instructions and you are done. The installer includes both the client and the server.

(for Win2000 see Tips_Tricks)

Mac OS X

Precompiled Mac OS X universal binaries are available from the SourceForge downloads page.

Note that the official releases of Mumble 1.2.x are not currently compatible with Mac OS X 10.4, but you can try the experimental snapshots found here warning: use at your own risk; these have not been thoroughly tested, and may have bugs.

In order to be able to use the Overlay it has to be installed separately. To install it launch Mumble, go into Mumbles settings into the Overlay section and you should see an option to install it. The reason for the separate installation is that Mumble itself does not need administrative rights to install, but the overlay does.

Linux

For most Linux distributions, the client package name is mumble and the server package name is mumble-server or murmur. For many Debian- and RPM-based distributions, there is mumble-server-web, which is a turnkey installation of ICE for Murmur.

On the popular Linux distributions, Mumble should be available in either third party repositories or the official repository. See the distribution sections below.

Debian

Note that for the mumble-server package on Debian or Debian-based distributions, you should not start the server manually. After you install and configure it, it will start on its own.

Debian unstable has the latest release at all times in it's repository, and snapshots in experimental. Backports to current stable are done as soon as the package reaches testing (usually a week after release).

apt-get install mumble

or

apt-get install mumble-server
dpkg-reconfigure mumble-server

Ubuntu

Ubuntu carries whatever Mumble version was current at the time of the release in the universe repository. We also maintain a PPA that has the latest version for recent Ubuntu versions

sudo add-apt-repository ppa:mumble/release
sudo apt-get update
sudo apt-get install mumble

or

sudo apt-get install mumble-server
sudo dpkg-reconfigure mumble-server

RHEL (and its derivatives, such as CentOS)

Please see the Install CentOS5 page for both packaged and manual murmur installation instructions. Mumble is not easily built on this platform at this time, and there are no official packages (yet?).

For CentOS 6 see the Install CentOS6 page.

For CentOS 7 see the Install CentOS7 page.

Fedora

Since Fedora 13, use yum:

 yum install mumble

There are additional packages available as mumble-*, such as mumble-overlay and mumble-server-web. Please consult your package manager for more information.

SUSE

Mumble packages are available from software.opensuse.org.

You can follow these steps while running openSUSE:

  1. Open a web browser and go to software.opensuse.org/package/mumble
  2. Assuming you're running 32bit, click on 1-Click Install located at the first result
  3. When asked to download a file, tell your browser you want to open the file
  4. Once YaST is opened, click Next (leave defaults), then Next again, and again
  5. Enter your root password if asked; Mumble will now download
  6. Click Finish
  7. To run Mumble:
    1. Open the Kickoff application launcher and type mumble, then --> Run mumble
    2. Or: open a terminal and type mumble and press enter


Note: If you are asked to accept a certificate just press OK

Note: Latest mumble version can usually be found at opensuse.org under "Show other versions" either at "openSUSE Factory" or under "Show unstable packages" of your openSUSE version.

Some packages can also be found in the Build Service.

Arch Linux

To install Mumble, use pacman:

pacman -S mumble

For the Mumble Server Murmur:

pacman -S murmur

There are also unstable packages in AUR:

Mandriva/ROSA/Unity

Mumble is available since 2010.0.

urpmi mumble

It's best to install the package from Cooker - it has many fixes.

Others

If all of the above options fail to work, you can always try compiling Mumble from source, however installing a package is considered "best practice".

Smartphones

Mumble is currently being ported/reimplemented for various mobile phone platforms.

iPhone

There is currently an iPhone version of Mumble in the works; you can find more information about it from the iPhone Git repository. Any help with the project is always appreciated.

If you are on a jailbroken device you can point your iOS device here and it will automatically install the latest build of Mumble.

Precompiled builds can be found here with instructions to install to a jailbroken iOS device. The build is unsupported as it was not compiled by an official Mumble developer.

Maemo (Nokia)

Maemo builds can be found here. These builds are unsupported, as they were not made by official Mumble developers. That does not, of course, mean you shouldn't use them; it just means there's no guarantee we can help you if you have a problem.